Bouncy Castle Cryptography Library 1.45

## org.bouncycastle.crypto.params
Class DHKeyParameters

    java.lang.Object
      org.bouncycastle.crypto.params.AsymmetricKeyParameter
          org.bouncycastle.crypto.params.DHKeyParameters

All Implemented Interfaces:
  CipherParameters

Direct Known Subclasses:
  DHPrivateKeyParameters, DHPublicKeyParameters

    public class DHKeyParameters

extends AsymmetricKeyParameter

Constructor Summary
`protected` `DHKeyParameters(boolean isPrivate, DHParameters params)`

Method Summary
`boolean` `equals(java.lang.Object obj)`
`DHParameters` `getParameters()`
`int` `hashCode()`

Methods inherited from class org.bouncycastle.crypto.params.AsymmetricKeyParameter
`isPrivate`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DHKeyParameters

    protected DHKeyParameters(boolean isPrivate,
                              DHParameters params)

Method Detail

### getParameters

    public DHParameters getParameters()

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

Bouncy Castle Cryptography Library 1.45